Name:      brasero
Version:   2.28.3
Release:   6%{?dist}
Summary:   Gnome CD/DVD burning application
Group:     Applications/Multimedia
License:   GPLv2+
URL:       http://www.gnome.org/projects/brasero/
Source0:   http://ftp.gnome.org/pub/GNOME/sources/brasero/2.28/%{name}-%{version}.tar.bz2
Source1:   nautilus-burn-icons.tar.bz2

# upstream translations
# https://bugzilla.redhat.com/show_bug.cgi?id=576069
Patch0: brasero-translations.patch

# Make docs show up in rarian/yelp
Patch1: brasero-doc-category.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel >= 2.15.6

BuildRequires:  gettext intltool gtk-doc
BuildRequires:  desktop-file-utils
BuildRequires:  GConf2-devel >= 2.0.0
BuildRequires:  libgnomeui-devel >= 2.10.0
BuildRequires:  gstreamer-devel >= 0.10.15
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.0
BuildRequires:  totem-pl-parser-devel >= 2.22.0
BuildRequires:  libnotify-devel >= 0.3.0
BuildRequires:  libxml2-devel >= 2.6.0
BuildRequires:  dbus-glib-devel >= 0.7.2
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  scrollkeeper
BuildRequires:  libxslt
BuildRequires:  libburn-devel >= 0.4.0
BuildRequires:  libisofs-devel >= 0.6.4
BuildRequires:  nautilus-devel >= 2.22.2
BuildRequires:  libSM-devel
BuildRequires:  unique-devel

# needed explicit require, please see bug 596833
Requires:  brasero-libs = %{version}-%{release}

Requires:  dvd+rw-tools
Requires:  cdrecord
Requires:  mkisofs
Requires:  cdda2wav
%ifnarch s390 s390x
Requires:  cdrdao
%endif

Requires(post):    shared-mime-info
Requires(postun):  shared-mime-info
Requires(pre):     GConf2
Requires(post):    GConf2
Requires(preun):   GConf2

%description
Simple and easy to use CD/DVD burning application for the Gnome
desktop.


%package   libs
Summary:   Libraries for %{name}
Group:     System Environment/Libraries
Obsoletes: nautilus-cd-burner-libs < 2.25.4
Requires:  %{name} = %{version}-%{release}


%description libs
The %{name}-libs package contains the runtime shared libraries for
%{name}.


%package   nautilus
Summary:   Nautilus extension for %{name}
Group:     User Interface/Desktops

Provides:  nautilus-cd-burner = %{version}-%{release}
Obsoletes: nautilus-cd-burner < 2.25.4
Requires:  %{name} = %{version}-%{release}

%description nautilus
The %{name}-nautilus package contains the brasero nautilus extension.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Obsoletes:      nautilus-cd-burner-devel < 2.25.4


%description devel
This package contains the static libraries and header files needed for
developing brasero applications.


%prep
%setup -q
%patch0 -p1 -b .translations
%patch1 -p1 -b .doc-category

%build
%configure \
	--enable-nautilus \
	--enable-libburnia \
	--enable-search \
	--enable-playlist \
	--enable-preview \
	--enable-inotify \
	--disable-caches \
	--disable-static \
	--disable-schemas-install
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

sed -i 's/cd:x/cd;x/' $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
sed -i -e 's/Icon=brasero/Icon=nautilus-burn/' \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-nautilus.desktop

desktop-file-install --vendor ""                   \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor ""                   \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-nautilus.desktop

tar xf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/icons

%clean
rm -rf $RPM_BUILD_ROOT


%post
umask 022
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null  || :
killall -HUP gconfd-2 &>/dev/null || :


%post libs -p /sbin/ldconfig


%postun
umask 022
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi


%postun libs -p /sbin/ldconfig


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/%{name}.*
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-copy-*.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*


%files nautilus
%defattr(-,root,root,-)
%{_libdir}/nautilus/extensions-2.0/*.so
%{_datadir}/applications/brasero-nautilus.desktop


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/libbrasero-media
%doc %{_datadir}/gtk-doc/html/libbrasero-burn
%doc ChangeLog
%{_includedir}/brasero
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog

